Bug 1314539 - Unify license files and Mozilla license headers in vendor directory. r=odvarko
authorDalimil Hajek <dalimilhajek@gmail.com>
Tue, 15 Nov 2016 08:12:00 -0500
changeset 323209 60bb7c0191272b26978d3420c2c2d169e219dc41
parent 323208 d5020b7acf45453fdfe5348258158e792c6e3486
child 323210 5702ad092400bedabfc93185670b14de67c57917
push id21
push usermaklebus@msu.edu
push dateThu, 01 Dec 2016 06:22:08 +0000
reviewersodvarko
bugs1314539
milestone53.0a1
Bug 1314539 - Unify license files and Mozilla license headers in vendor directory. r=odvarko
devtools/client/shared/vendor/REACT_REDUX_UPGRADING
devtools/client/shared/vendor/REACT_UPGRADING
devtools/client/shared/vendor/REACT_VIRTUALIZED_UPGRADING
devtools/client/shared/vendor/REDUX_UPGRADING
devtools/client/shared/vendor/RESELECT_UPGRADING
--- a/devtools/client/shared/vendor/REACT_REDUX_UPGRADING
+++ b/devtools/client/shared/vendor/REACT_REDUX_UPGRADING
@@ -1,8 +1,13 @@
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at http://mozilla.org/MPL/2.0/. */
+
+
 "react-redux" uses UMD style loading to work in many different environments.
 It assumes that "react" and "redux" are both included via `require("react")`
 as in node or browserify, but the paths to our react and redux installation are different.
 
 If upgrading react-redux, define the correct paths and replace the require statements
 for the module.exports case with the correct paths.
 
 Path to react: "devtools/client/shared/vendor/react"
--- a/devtools/client/shared/vendor/REACT_UPGRADING
+++ b/devtools/client/shared/vendor/REACT_UPGRADING
@@ -1,8 +1,13 @@
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at http://mozilla.org/MPL/2.0/. */
+
+
 We use a version of React that has a few minor tweaks. We want to use
 an un-minified production version anyway, and because of all of this
 you need to build React yourself to upgrade it for devtools.
 
 First, clone the repo and get ready to build it. Replace `<version>`
 with the version tag you are targetting:
 
 * git clone https://github.com/facebook/react.git
--- a/devtools/client/shared/vendor/REACT_VIRTUALIZED_UPGRADING
+++ b/devtools/client/shared/vendor/REACT_VIRTUALIZED_UPGRADING
@@ -1,8 +1,13 @@
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at http://mozilla.org/MPL/2.0/. */
+
+
 "react-virtualized" uses UMD style loading to work in many different environments.
 It assumes that "react", "react-addons-shallow-compare", and "react-dom" are all included
 separately via require statements. The paths to our installations are different.
 
 If upgrading:
 
 - Define the correct paths for React, etc and replace the require statements for the
   module.exports case with the correct paths.
--- a/devtools/client/shared/vendor/REDUX_UPGRADING
+++ b/devtools/client/shared/vendor/REDUX_UPGRADING
@@ -1,8 +1,13 @@
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at http://mozilla.org/MPL/2.0/. */
+
+
 REDUX_UPGRADING
 
 Current version of redux : 3.3.0
 
 1 - grab the unminified version of redux on npm. For release 3.3.0 for instance,
 https://npmcdn.com/redux@3.3.0/dist/redux.js
 
 2 - replace the content of devtools/client/shared/vendor
--- a/devtools/client/shared/vendor/RESELECT_UPGRADING
+++ b/devtools/client/shared/vendor/RESELECT_UPGRADING
@@ -1,7 +1,12 @@
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at http://mozilla.org/MPL/2.0/. */
+
+
 Follow these steps when adding/upgrading the reselect.js module:
 
 1. git clone https://github.com/reactjs/reselect - clone the repo
 2. npm install - compile the sources to a compiled JS module file
 3. cp dist/reselect.js $DEST_DIR - copy the compiled file to Firefox source tree
 
 The package version used it currently 2.5.4 (last update in bug 1310573)